<?
	$basedir = $DOCUMENT_ROOT;
	$filenb=0;
	MakeList('');
	
	for ($n=2; $n<=$gamenb; $n++) {
		$gameturnmin[$n]=999;
	}
	for ($nbf=1; $nbf<=$filenb; $nbf++) {
		if ((strpos($filedir[$nbf], "turn")!=false) && (strpos($filename[$nbf], ".csv")!=false)) {
			$fileword=str_replace(" ","-",$filename[$nbf]);
			$fileword=str_replace(".","-",$fileword);
			$fileword = explode("-", $fileword);
			$use=false;
			if (($fileword[0]=="Game") && ($fileword[1]!="x")) {
				$use=true;
			}
			if ($use) {
				$gameturnmin[$fileword[1]]=min($fileword[2],$gameturnmin[$fileword[1]]);
				$gameturnmax[$fileword[1]]=max($fileword[2],$gameturnmax[$fileword[1]]);
				$gameturn[$fileword[1]][$fileword[2]]++;
				$gameinserted[$fileword[1]][$fileword[2]][$fileword[3]]=true;
	 		}
	 	}
	}
?>